You are not logged in.

IndustrialCraft² recent version: v1.117! (For Minecraft 1.5.2 → topic)
Experimental builds: v2.0/2.1 (For Minecraft 1.6.2/1.6.4/1.7.2 → jenkins)
IndustrialCraft recent version: v8.55_02! (For Minecraft 1.7.3 Beta)
Please pay attention on where you put your topics! (IC² doesn't belong into IC)

Dear visitor, welcome to IC² Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Thursday, August 22nd 2013, 2:35pm

problem with IC2

After updating another mod, I am repeatedly getting an error message in my minecraft window, reading as follows:

Forge Mod Loader has found a problem with your minecraft installation
The mods and versions listed blow could not be found

IC2 : minimum version requred is 2.0.44

The file 'ForgeModLoader-client-0.log contains more information

_________

I have attached the file in question. However, each time I try to install one of the experimental builds into my mods folder, I get the following error message(s):


Time: 8/22/13 9:33 AM
Description: Initializing game

java.lang.NoSuchFieldError: ic2ModInstance
at ic2.core.IC2.<init>(IC2.java:318)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
at java.lang.Class.newInstance0(Class.java:355)
at java.lang.Class.newInstance(Class.java:308)
at cpw.mods.fml.common.ILanguageAdapter$JavaAdapter.getNewInstance(ILanguageAdapter.java:174)
at cpw.mods.fml.common.FMLModContainer.constructMod(FMLModContainer.java:514)
at sun.reflect.GeneratedMethodAccessor6.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
at com.google.common.eventbus.EventBus.dispatch(EventBus.java:313)
at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
at com.google.common.eventbus.EventBus.post(EventBus.java:267)
at cpw.mods.fml.common.LoadController.sendEventToModContainer(LoadController.java:194)
at cpw.mods.fml.common.LoadController.propogateStateMessage(LoadController.java:174)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
at com.google.common.eventbus.EventBus.dispatch(EventBus.java:313)
at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
at com.google.common.eventbus.EventBus.post(EventBus.java:267)
at cpw.mods.fml.common.LoadController.distributeStateMessage(LoadController.java:105)
at cpw.mods.fml.common.Loader.loadMods(Loader.java:510)
at cpw.mods.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:181)
at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:470)
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:796)
at net.minecraft.client.main.Main.main(SourceFile:101)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
at net.minecraft.launchwrapper.Launch.main(Launch.java:18)


___________

detail segment follows below:
bale626 has attached the following file:

2

Thursday, August 22nd 2013, 2:36pm

A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
at ic2.core.IC2.<init>(IC2.java:318)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
at java.lang.Class.newInstance0(Class.java:355)
at java.lang.Class.newInstance(Class.java:308)
at cpw.mods.fml.common.ILanguageAdapter$JavaAdapter.getNewInstance(ILanguageAdapter.java:174)
at cpw.mods.fml.common.FMLModContainer.constructMod(FMLModContainer.java:514)
at sun.reflect.GeneratedMethodAccessor6.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
at com.google.common.eventbus.EventBus.dispatch(EventBus.java:313)
at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
at com.google.common.eventbus.EventBus.post(EventBus.java:267)
at cpw.mods.fml.common.LoadController.sendEventToModContainer(LoadController.java:194)
at cpw.mods.fml.common.LoadController.propogateStateMessage(LoadController.java:174)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
at com.google.common.eventbus.EventBus.dispatch(EventBus.java:313)
at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
at com.google.common.eventbus.EventBus.post(EventBus.java:267)
at cpw.mods.fml.common.LoadController.distributeStateMessage(LoadController.java:105)
at cpw.mods.fml.common.Loader.loadMods(Loader.java:510)
at cpw.mods.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:181)
at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:470)

-- Initialization --
Details:
Stacktrace:
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:796)
at net.minecraft.client.main.Main.main(SourceFile:101)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
at net.minecraft.launchwrapper.Launch.main(Launch.java:18)

-- System Details --
Details:
Minecraft Version: 1.6.2
Operating System: Mac OS X (x86_64) version 10.8.2
Java Version: 1.6.0_37, Apple Inc.
Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Apple Inc.
Memory: 34389848 bytes (32 MB) / 104267776 bytes (99 MB) up to 1065025536 bytes (1015 MB)
JVM Flags: 1 total; -Xmx1G
AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
Suspicious classes: FML and Forge are installed
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
FML: MCP v8.04 FML v6.2.51.835 Minecraft Forge 9.10.0.835 40 mods loaded, 40 mods active
mcp{8.04} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed
FML{6.2.51.835} [Forge Mod Loader] (coremods) Unloaded->Constructed
Forge{9.10.0.835} [Minecraft Forge] (coremods) Unloaded->Constructed
CodeChickenCore{0.9.0.3} [CodeChicken Core] (coremods) Unloaded->Constructed
Micdoodlecore{} [Micdoodle8 Core] (coremods) Unloaded->Constructed
playercoreapi{0.1} [PlayerCoreAPI] (coremods) Unloaded->Constructed
threadedlighting{0.1} [Threaded Lighting] (coremods) Unloaded->Constructed
TooManyItems{1.6.2} [TooManyItems] (coremods) Unloaded->Constructed
mod_Biosphere{1.6.2} [mod_Biosphere] (Biosphere) Unloaded->Constructed
CrossbowMod2{a0.1.5} [Crossbow Mod 2] (Crossbow-Mod-2-1.6.2-a0.1.5.19.jar) Unloaded->Constructed
CustomSpawner{2.3.0.dev1} [DrZhark's CustomSpawner] (Custom-Mob-Spawner-Mod-1) Unloaded->Constructed
MoCreatures{6.0.0.dev1} [DrZhark's Mo'Creatures Mod] (DrZharks MoCreatures Mod v6) Unloaded->Constructed
ElementalOrbs{1.1} [Elemental Orbs Mod] (Elemental-Orbs-Mod-1) Unloaded->Constructed
ExtrabiomesXL{3.14.0} [ExtrabiomesXL] (ExtrabiomesXL-universal-1.6.2-3.14.0.jar) Unloaded->Constructed
GalacticraftCore{0.1.39} [Galacticraft Core] (Galacticraft-1.6.2-a0.1.39.566.jar) Unloaded->Constructed
iChunUtil{2.0.0} [iChunUtil] (iChunUtil2) Unloaded->Constructed
GraviGun{2.0.0} [GraviGun] (GravityGun2) Unloaded->Constructed
SGCraft{0.6.0} [SG Craft] (Gregs-SG-Craft-Mod-1.6.2.jar) Unloaded->Constructed
Highlands{2.1.1} [Highlands] (Highlands2) Unloaded->Constructed
mca{3.4.4} [Minecraft Comes Alive] (MCA v3) Unloaded->Constructed
MFFS{3.3.0} [Modular Force Field System] (MFFS_v3.3.0.217.jar) Unloaded->Constructed
Mekanism{5.5.7} [Mekanism] (Mekanism-v5.5.7.171.jar) Unloaded->Constructed
MekanismGenerators{5.5.7} [MekanismGenerators] (MekanismGenerators-v5.5.7.171.jar) Unloaded->Constructed
MekanismTools{5.5.7} [MekanismTools] (MekanismTools-v5.5.7.171.jar) Unloaded->Constructed
AS_Minions{1.6.9} [Minions] (Minions_1.6.2.zip) Unloaded->Constructed
powersuits{0.8.0-645} [MachineMuse's Modular Powersuits] (ModularPowersuits-1.6.2-0.8.0-645.jar) Unloaded->Constructed
PortalGun{2.0.0} [PortalGun] (PortalGun2) Unloaded->Constructed
IC2{2.0.44-experimental} [IndustrialCraft 2] (industrialcraft-2_2.0.44-experimental.jar) Unloaded
Forestry{2.3.0.0} [Forestry for Minecraft] (forestry-A-2.3.0.0.jar) Unloaded
Railcraft{8.0.1.0} [Railcraft] (Railcraft_1.6.2-8.0.1.0.jar) Unloaded
AS_Ruins{10.6} [Ruins Spawning System] (Ruins_1.6.2.zip) Unloaded
SolarApoc{V4R3} [Solar Apocalypse] (SolarApocalypse.jar) Unloaded
mod_ZanMinimap{Not available} [mod_ZanMinimap] (ZansMinimap1) Unloaded
AppliedEnergistics{rv12.b} [Applied Energistics] (appeng-rv12-b-mc162) Unloaded
ParachuteMod{1.6.2} [Parachute Mod] (parachute-1.6.2-forge-789) Unloaded
awger_SmallBoat{0.10.4} [SmallBoat] (smallboats.jar) Unloaded
awger_Punt{0.10.4} [Punt] (smallboats.jar) Unloaded
awger_Whitehall{0.10.4} [Whitehall] (smallboats.jar) Unloaded
awger_Hoy{0.10.4} [Hoy] (smallboats.jar) Unloaded
TwilightForest{1.19.0} [The Twilight Forest] (twilightforest-1.19.0.jar) Unloaded
Launched Version: 1.6.2-Forge9.10.0.835
LWJGL: 2.9.0
OpenGL: Intel HD Graphics 4000 OpenGL Engine GL version 2.1 APPLE-8.0.61, Intel Inc.
Is Modded: Definitely; Client brand changed to 'fml,forge'
Type: Client (map_client.txt)
Resource Pack: Default
Current Language: English (US)
Profiler Position: N/A (disabled)
Vec3 Pool Size: ~~ERROR~~ NullPointerException: null

______________

any suggestions/recommendations?


(I'm running on a macbook, if that makes any difference.)

Epic Lulz

Frikkin witches and silverfeesh

  • "Epic Lulz" is male

Posts: 1,291

Location: The land of Hayo

  • Send private message

3

Thursday, August 22nd 2013, 3:34pm

First of all, welcome to the forums.
Secondly, ALWAYS PUT YOUR ERRORS AS PASTEBIN, DOWNLOAD. LEAST OF ALL, SPOILERS.
Thirdly, update IC2_experimental if possible.
Fourthly, if problem still persists, remove mods except IC2 one-by-one to see if any of them produces a crash with IC2.

4

Thursday, August 22nd 2013, 4:01pm

I've tried using every experimental version from 2.0.44 to 2.0.64. none of them work, at least with the current configuration of mods I'm using.

5

Friday, August 23rd 2013, 6:02am

try to read dev notes, ic2e have no compatability with mods compiled against other version of ic2e.

this is obviously API issue, ic2e attempt to init some class of API and failed at place where no exception handling implemented.

what class located at at ic2.core.IC2.<init>(IC2.java:318)

solution ==

change name of ic2e jar to something like !!!!ic2e.jar

then some mods will refuse to load and you will be forced to recompile or remove them.
Unsafe.putObject(42,Unsafe.staticFieldOffset(42.getDeclaredFields()[42]),43);

GregoriusT

Leader of GregTech Intergalactical

  • "GregoriusT" is male

Posts: 8,065

Location: Improving IC2

  • Send private message

6

Friday, August 23rd 2013, 12:28pm

Not quite. Another Mod included IC2 API Files and that is breaking the API.

Aside from missing Items and Enet Interface changes, the API is still compatible with the Mods.
I don't say, your "insert whatever here" is bad,
I'm only showing possibilities for making it better.

Bugreports belong to the GregTech Thread. Any PM regarding Bugs or Support will get Ignored.
Especially those prefixed by a stupid Friend request.

GregTech adds Hammers so...
Stop, Hammertime!

7

Friday, August 23rd 2013, 5:37pm

for me it's saying railcraft is the problem :)
The mod Railcraft (Railcraft) requires mod versions [IC2@[2.0.44,)] to be available

Chocohead

Drowning in mods.

  • "Chocohead" is male

Posts: 2,242

Location: Badly generated chunks.

  • Send private message

8

Friday, August 23rd 2013, 5:39pm

Have you got the latest one (8.0.1.0)?
145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


---- Minecraft Crash Report ----
// I just don't know what went wrong :(

I see this too much.

9

Friday, August 23rd 2013, 5:58pm

I'm now using experimental versions, which have a different crash, which inturn could also mean I'm doing something wrong or have forgotten to install something.

cpw.mods.fml.common.LoaderException: java.lang.NoSuchMethodError: ic2.api.recipe.IMachineRecipeManager.addRecipe(Lnet/minecraft/item/ItemStack;Ljava/lang/Object;)V

Epic Lulz

Frikkin witches and silverfeesh

  • "Epic Lulz" is male

Posts: 1,291

Location: The land of Hayo

  • Send private message

10

Saturday, August 24th 2013, 2:43am

I'm now using experimental versions, which have a different crash, which inturn could also mean I'm doing something wrong or have forgotten to install something.

cpw.mods.fml.common.LoaderException: java.lang.NoSuchMethodError: ic2.api.recipe.IMachineRecipeManager.addRecipe(Lnet/minecraft/item/ItemStack;Ljava/lang/Object;)V
One of your mods include/override/use an outdated version of the IC2 API, try deleting all the /ic2/api folders from all your mod files except IC2s.

If that doesn't fix the problem, try removing mods (except IC2) one by one until you get the one that doesn't crash. Then bug the mod author of that mod about it.

Chocohead

Drowning in mods.

  • "Chocohead" is male

Posts: 2,242

Location: Badly generated chunks.

  • Send private message

11

Saturday, August 24th 2013, 9:47am

I blame Rail craft. Covert's already uploaded one patch for experimental, but stuffs changed since then and I bet he's included the API like he always does.
145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


---- Minecraft Crash Report ----
// I just don't know what went wrong :(

I see this too much.

12

Saturday, August 24th 2013, 4:00pm

I think my problem is advanced solar panels, i'll ask the mod/addon dev about it :)

This post has been edited 1 times, last edit by "LngForgotten" (Aug 25th 2013, 4:45pm)


13

Monday, August 26th 2013, 12:53am

Well, what I'd like to know is this: about how long am I going to have to wait before IC2, buildcraft, railcraft, and all these other mods that, as of 1.5.2, all worked together, all work together again? A week? a month? a year?

Epic Lulz

Frikkin witches and silverfeesh

  • "Epic Lulz" is male

Posts: 1,291

Location: The land of Hayo

  • Send private message

14

Monday, August 26th 2013, 2:54pm


Well, what I'd like to know is this: about how long am I going to have to wait before IC2, buildcraft, railcraft, and all these other mods that, as of 1.5.2, all worked together, all work together again? A week? a month? a year?
What do you mean by "all these other mods"?

And most of them are working well and fine together in 1.6.

MStef94

Tree Cutter

  • "MStef94" is male
  • Poland

Posts: 23

Location: POLAND FOREVER

  • Send private message

15

Monday, August 26th 2013, 3:06pm

I am using industrialcraft-2_1.118.401-lf and I've got "The mod Railcraft (Railcraft) requires mod versions [IC2@[2.0.44,)] to be available". How to fix it?

16

Monday, August 26th 2013, 3:25pm

@MStef94: You use IC2 1.118 ("stable"). You need IC2 2.0 ("experimental"), build no earlier than #44. Simple as that

Epic Lulz

Frikkin witches and silverfeesh

  • "Epic Lulz" is male

Posts: 1,291

Location: The land of Hayo

  • Send private message

17

Tuesday, August 27th 2013, 3:12pm

Go >>here<<.

And in the future, create your own posts, not hijack others'.

18

Tuesday, August 27th 2013, 10:17pm


Well, what I'd like to know is this: about how long am I going to have to wait before IC2, buildcraft, railcraft, and all these other mods that, as of 1.5.2, all worked together, all work together again? A week? a month? a year?
What do you mean by "all these other mods"?

And most of them are working well and fine together in 1.6.
When I try using the most recent versions IC2, buildcraft, railcraft, and forestry together, I get a slew of error messages, each one different when I try mixing and matching recent versions with slightly older versions, to find the combination of them all that might work.

Also, I have yet to get a single experimental version of IC2 to work at all, irregardless of everything I try.

Epic Lulz

Frikkin witches and silverfeesh

  • "Epic Lulz" is male

Posts: 1,291

Location: The land of Hayo

  • Send private message

19

Wednesday, August 28th 2013, 1:46pm


Well, what I'd like to know is this: about how long am I going to have to wait before IC2, buildcraft, railcraft, and all these other mods that, as of 1.5.2, all worked together, all work together again? A week? a month? a year?
What do you mean by "all these other mods"?

And most of them are working well and fine together in 1.6.
When I try using the most recent versions IC2, buildcraft, railcraft, and forestry together, I get a slew of error messages, each one different when I try mixing and matching recent versions with slightly older versions, to find the combination of them all that might work.

Also, I have yet to get a single experimental version of IC2 to work at all, irregardless of everything I try.


The main problem is forestry and railcraft. They add IC2 functions in a not-very-optimal way, and this causes crash issues with experimental versions they aren't build for. Since you have both of them, then the problem is even worse because you have to find a pair of Forestry and Railcraft versions which are built for the same IC2 experimental.

Similar threads

Counter:

Hits today: 18,148 | Hits yesterday: 57,236 | Hits record: 111,506 | Hits total: 28,978,065